# out

The keyword is used in conjunction with other keywords to refer to the outgoing direction.

1. together with the keyword function it is used to designate parameters that may only be written inside the parameterized function;
2. together with the keyword port it is used to designate messages or procedures that a given port may only send.
3. together with the keyword signature it is used to designate parameters that may only be written by the called procedure.

Related keywords:

- function
- port
- signature

### out...

BNF definition of out (sense 1 and 3)
BNF definition of out (sense 2)